Счета и документы
OpenAPI 1.0.0
Управление счетами на оплату и закрывающими документами
Варианты
- Паблик
Операции API
GET /v4/closing-documents/{documentId} — Получить детальную информацию о закрывающем документе
Возвращает детальную информацию о закрывающем документе по id документа
{
"tags": [
"closingDocuments"
],
"summary": "Получить детальную информацию о закрывающем документе",
"description": "Возвращает детальную информацию о закрывающем документе по id документа",
"operationId": "getDocumentDetails",
"parameters": [
{
"name": "documentId",
"in": "path",
"required": true,
"description": "Идентификатор закрывающего документа",
"schema": {
"type": "string",
"format": "uuid",
"example": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClosingDocumentDetailsResponse"
},
"examples": {
"closingDocumentDetailConsignmentNote": {
"$ref": "#/components/examples/closingDocumentDetailConsignmentNote"
},
"closingDocumentDetailWorkAct": {
"$ref": "#/components/examples/closingDocumentDetailWorkAct"
},
"closingDocumentDetailUPD": {
"$ref": "#/components/examples/closingDocumentDetailUPD"
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}PUT /v4/closing-documents/{documentId} — Обновить информацию о закрывающем документе
Обновляет информацию о закрывающем документе по id документа
{
"tags": [
"closingDocuments"
],
"summary": "Обновить информацию о закрывающем документе",
"description": "Обновляет информацию о закрывающем документе по id документа",
"operationId": "updateDocument",
"parameters": [
{
"name": "documentId",
"in": "path",
"required": true,
"description": "Идентификатор закрывающего документа",
"schema": {
"type": "string",
"format": "uuid",
"example": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"oneOf": [
{
"$ref": "#/components/schemas/ConsignmentNoteRequest"
},
{
"$ref": "#/components/schemas/UPDRequest"
},
{
"$ref": "#/components/schemas/WorkActRequest"
}
]
},
"examples": {
"consignmentNoteRequest": {
"$ref": "#/components/examples/consignmentNoteRequest"
},
"workActRequest": {
"$ref": "#/components/examples/workActRequest"
},
"updRequest": {
"$ref": "#/components/examples/updRequest"
}
}
}
},
"required": true
},
"responses": {
"204": {
"description": "OK"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}GET /v4/closing-documents — Получить список закрывающих документов
Возвращает список закрывающих документов
{
"tags": [
"closingDocuments"
],
"summary": "Получить список закрывающих документов",
"description": "Возвращает список закрывающих документов",
"operationId": "getDocuments",
"parameters": [
{
"name": "page",
"in": "query",
"required": false,
"description": "Номер страницы для пагинации, нумерация с нуля",
"schema": {
"type": "integer",
"format": "int32",
"default": 0,
"minimum": 0,
"example": 0
}
},
{
"name": "size",
"in": "query",
"required": false,
"description": "Количество элементов на странице",
"schema": {
"type": "integer",
"format": "int32",
"default": 30,
"maximum": 50,
"minimum": 1,
"example": 30
}
},
{
"name": "sumFrom",
"in": "query",
"required": false,
"description": "Минимальная сумма документа (включительно) для фильтрации",
"schema": {
"type": "number",
"example": 1000
}
},
{
"name": "sumTo",
"in": "query",
"required": false,
"description": "Максимальная сумма документа (включительно) для фильтрации",
"schema": {
"type": "number",
"example": 500000
}
},
{
"name": "types",
"in": "query",
"required": false,
"description": "Список типов закрывающих документов для фильтрации",
"schema": {
"type": "array",
"items": {
"type": "string",
"description": "Тип закрывающего документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "WORK_ACT"
},
"uniqueItems": true,
"example": [
"WORK_ACT",
"UPD"
]
}
},
{
"name": "periodFrom",
"in": "query",
"required": false,
"description": "Начало периода фильтрации по дате документа (включительно)",
"schema": {
"type": "string",
"format": "date",
"example": "2026-09-01"
}
},
{
"name": "periodTo",
"in": "query",
"required": false,
"description": "Конец периода фильтрации по дате документа (включительно)",
"schema": {
"type": "string",
"format": "date",
"example": "2026-09-30"
}
},
{
"name": "customerSearchString",
"in": "query",
"required": false,
"description": "Строка поиска по контрагенту (наименование или ИНН)",
"schema": {
"type": "string",
"example": "ООО Ромашка"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClosingDocumentListResponse"
},
"examples": {
"closingDocumentListResponse": {
"$ref": "#/components/examples/closingDocumentListResponse"
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}POST /v4/closing-documents — Создать закрывающий документ
Создает закрывающий документ одного из следующих видов: Товарная накладная (ConsignmentNoteRequest), Акт работ (WorkActRequest), УПД (UPDRequest)
{
"tags": [
"closingDocuments"
],
"summary": "Создать закрывающий документ",
"description": "Создает закрывающий документ одного из следующих видов: Товарная накладная (ConsignmentNoteRequest), Акт работ (WorkActRequest), УПД (UPDRequest)",
"operationId": "createDocument",
"requestBody": {
"content": {
"application/json": {
"schema": {
"oneOf": [
{
"$ref": "#/components/schemas/ConsignmentNoteRequest"
},
{
"$ref": "#/components/schemas/UPDRequest"
},
{
"$ref": "#/components/schemas/WorkActRequest"
}
]
},
"examples": {
"consignmentNoteRequest": {
"$ref": "#/components/examples/consignmentNoteRequest"
},
"workActRequest": {
"$ref": "#/components/examples/workActRequest"
},
"updRequest": {
"$ref": "#/components/examples/updRequest"
}
}
}
},
"required": true
},
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClosingDocumentResponse"
},
"examples": {
"closingDocumentCreateResponse": {
"$ref": "#/components/examples/closingDocumentCreateResponse"
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
]
}DELETE /v4/closing-documents — Удалить закрывающие документы
Удаляет один или несколько закрывающих документов
{
"tags": [
"closingDocuments"
],
"summary": "Удалить закрывающие документы",
"description": "Удаляет один или несколько закрывающих документов",
"operationId": "removeDocuments",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DocumentIdsRequest"
},
"examples": {
"closingDocumentDeleteRequest": {
"$ref": "#/components/examples/closingDocumentDeleteRequest"
}
}
}
},
"required": true
},
"responses": {
"204": {
"description": "OK"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
]
}GET /v4/bills/{billId} — Получить детальную информацию о счете на оплату
Возвращает детальную информацию о счете на оплату по id
{
"tags": [
"bills"
],
"summary": "Получить детальную информацию о счете на оплату",
"description": "Возвращает детальную информацию о счете на оплату по id",
"operationId": "getBillDetails",
"parameters": [
{
"name": "billId",
"in": "path",
"required": true,
"description": "Идентификатор счета на оплату",
"schema": {
"type": "string",
"format": "uuid",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BillDetailsResponse"
},
"examples": {
"billDetailsResponse": {
"$ref": "#/components/examples/billDetailsResponse"
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}PUT /v4/bills/{billId} — Обновить счет на оплату
Обновляет информацию о счете на оплату по id
{
"tags": [
"bills"
],
"summary": "Обновить счет на оплату",
"description": "Обновляет информацию о счете на оплату по id",
"operationId": "updateBill",
"parameters": [
{
"name": "billId",
"in": "path",
"required": true,
"description": "Идентификатор счета на оплату",
"schema": {
"type": "string",
"format": "uuid",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BillUpdateRequest"
},
"examples": {
"billUpdateRequest": {
"$ref": "#/components/examples/billUpdateRequest"
}
}
}
},
"required": true
},
"responses": {
"204": {
"description": "OK"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}PUT /v4/bills/status — Обновить статус счетов
Обновить статус одного или нескольких счетов по списку id
{
"tags": [
"bills"
],
"summary": "Обновить статус счетов",
"description": "Обновить статус одного или нескольких счетов по списку id",
"operationId": "deleteBills",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BillStatusUpdateRequest"
},
"examples": {
"billStatusUpdateRequest": {
"$ref": "#/components/examples/billStatusUpdateRequest"
}
}
}
},
"required": true
},
"responses": {
"204": {
"description": "OK"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
]
}GET /v4/closing-documents/{documentId}/file — Получить документ в виде файла
Возвращает документ (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)
{
"tags": [
"closingDocuments"
],
"summary": "Получить документ в виде файла",
"description": "Возвращает документ (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)",
"operationId": "file",
"parameters": [
{
"name": "documentId",
"in": "path",
"required": true,
"description": "Идентификатор закрывающего документа",
"schema": {
"type": "string",
"format": "uuid",
"example": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e"
}
},
{
"name": "docType",
"in": "query",
"required": false,
"description": "Формат файла документа",
"schema": {
"type": "string",
"enum": [
"PDF",
"XML"
],
"example": "PDF"
}
},
{
"name": "withoutGenerationInfo",
"in": "query",
"required": false,
"description": "Исключить из PDF блок с информацией о формировании документа",
"schema": {
"type": "boolean",
"default": false,
"example": false
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/pdf": {
"schema": {
"type": "string",
"format": "byte"
}
},
"application/xml;charset=windows-1251": {
"schema": {
"type": "string",
"format": "byte"
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}GET /v4/bills — Получить список счетов на оплату
Возвращает список счетов на оплату с возможностью фильтрации
{
"tags": [
"bills"
],
"summary": "Получить список счетов на оплату",
"description": "Возвращает список счетов на оплату с возможностью фильтрации",
"operationId": "getBillList",
"parameters": [
{
"name": "page",
"in": "query",
"required": false,
"description": "Номер страницы для пагинации, нумерация с нуля",
"schema": {
"type": "integer",
"format": "int32",
"default": 0,
"minimum": 0,
"example": 0
}
},
{
"name": "size",
"in": "query",
"required": false,
"description": "Количество элементов на странице",
"schema": {
"type": "integer",
"format": "int32",
"default": 30,
"maximum": 50,
"minimum": 1,
"example": 30
}
},
{
"name": "statuses",
"in": "query",
"required": false,
"description": "Список статусов счетов для фильтрации",
"schema": {
"type": "array",
"items": {
"type": "string",
"description": "Статус счета на оплату",
"enum": [
"PAYMENT_PENDING",
"PAID"
],
"example": "PAYMENT_PENDING"
},
"uniqueItems": true,
"example": [
"PAYMENT_PENDING"
]
}
},
{
"name": "year",
"in": "query",
"required": false,
"description": "Год выставления счета для фильтрации",
"schema": {
"type": "integer",
"format": "int32",
"minimum": 1,
"example": 2026
}
},
{
"name": "date",
"in": "query",
"required": false,
"description": "Дата выставления счета для точной фильтрации",
"schema": {
"type": "string",
"format": "date",
"example": "2026-09-30"
}
},
{
"name": "periodFrom",
"in": "query",
"required": false,
"description": "Начало периода фильтрации по дате выставления счета (включительно)",
"schema": {
"type": "string",
"format": "date",
"example": "2026-09-01"
}
},
{
"name": "periodTo",
"in": "query",
"required": false,
"description": "Конец периода фильтрации по дате выставления счета (включительно)",
"schema": {
"type": "string",
"format": "date",
"example": "2026-09-30"
}
},
{
"name": "sumFrom",
"in": "query",
"required": false,
"description": "Минимальная сумма счета (включительно) для фильтрации",
"schema": {
"type": "number",
"example": 1000
}
},
{
"name": "sumTo",
"in": "query",
"required": false,
"description": "Максимальная сумма счета (включительно) для фильтрации",
"schema": {
"type": "number",
"example": 500000
}
},
{
"name": "customerSearchString",
"in": "query",
"required": false,
"description": "Строка поиска по ИНН плательщика",
"schema": {
"type": "string",
"example": "394439302723"
}
},
{
"name": "query",
"in": "query",
"required": false,
"description": "Строка полнотекстового поиска по счету (наименование, номер, контрагент)",
"schema": {
"type": "string",
"example": "Услуги по настройке ПО"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageBillMiniResponse"
},
"examples": {
"billListResponse": {
"$ref": "#/components/examples/billListResponse"
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}POST /v4/bills — Сформировать счет на оплату
Сохраняет новый счет на оплату
{
"tags": [
"bills"
],
"summary": "Сформировать счет на оплату",
"description": "Сохраняет новый счет на оплату",
"operationId": "saveBill",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BillRequest"
},
"examples": {
"billRequest": {
"$ref": "#/components/examples/billRequest"
}
}
}
},
"required": true
},
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BillResponse"
},
"examples": {
"billResponse": {
"$ref": "#/components/examples/billResponse"
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
]
}DELETE /v4/bills — Удалить счета на оплату
Удалить один или несколько счетов на оплату по списку id
{
"tags": [
"bills"
],
"summary": "Удалить счета на оплату",
"description": "Удалить один или несколько счетов на оплату по списку id",
"operationId": "markBillsRemoved",
"parameters": [
{
"name": "ids",
"in": "query",
"required": true,
"description": "Список идентификаторов счетов на оплату для удаления",
"schema": {
"type": "array",
"items": {
"type": "string",
"format": "uuid",
"example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"204": {
"description": "OK"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}GET /v4/bills/{billId}/document — Получить счет на оплату в виде документа
Возвращает счет на оплату в виде документа (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)
{
"tags": [
"bills"
],
"summary": "Получить счет на оплату в виде документа",
"description": "Возвращает счет на оплату в виде документа (XML или PDF) по его id. Для PDF можно запросить вариант без информации о формировании документа (параметр withoutGenerationInfo)",
"operationId": "getDocument",
"parameters": [
{
"name": "billId",
"in": "path",
"required": true,
"description": "Идентификатор счета на оплату",
"schema": {
"type": "string",
"format": "uuid",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
}
},
{
"name": "docType",
"in": "query",
"required": false,
"description": "Формат файла документа",
"schema": {
"type": "string",
"enum": [
"PDF",
"XML"
],
"example": "PDF"
}
},
{
"name": "withoutGenerationInfo",
"in": "query",
"required": false,
"description": "Исключить из PDF блок с информацией о формировании документа",
"schema": {
"type": "boolean",
"default": false,
"example": false
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/xml;charset=windows-1251": {
"schema": {
"type": "string",
"format": "byte"
}
},
"application/pdf": {
"schema": {
"type": "string",
"format": "byte"
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
}
}GET /v4/bills/measurements — Получить список единиц измерения
Возвращает список единиц измерения, которые можно использовать при сохранении счета на оплату
{
"tags": [
"bills"
],
"summary": "Получить список единиц измерения",
"description": "Возвращает список единиц измерения, которые можно использовать при сохранении счета на оплату",
"operationId": "getMeasurements",
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/MeasurementResponse"
},
"examples": {
"measurementResponse": {
"$ref": "#/components/examples/measurementResponse"
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
]
}GET /v4/bills/doc-number/next — Получение следующего свободного номера документа для счета на оплату
Возвращает свободный номер документа, который можно использовать при сохранении нового счета на оплату
{
"tags": [
"bills"
],
"summary": "Получение следующего свободного номера документа для счета на оплату",
"description": "Возвращает свободный номер документа, который можно использовать при сохранении нового счета на оплату",
"operationId": "getNextDocNumber",
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DocNumberResponse"
},
"examples": {
"docNumberResponse": {
"value": {
"nextDocNumber": "12"
}
}
}
}
}
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
]
}Схемы и примеры
{
"schemas": {
"ClosingDocumentDetailsResponse": {
"type": "object",
"description": "Детальная информация о закрывающем документе",
"properties": {
"cnum": {
"type": "string",
"description": "Уникальный идентификатор организации",
"example": "UVGASK"
},
"document": {
"oneOf": [
{
"$ref": "#/components/schemas/ConsignmentNote"
},
{
"$ref": "#/components/schemas/UPD"
},
{
"$ref": "#/components/schemas/WorkAct"
}
],
"description": "Содержимое закрывающего документа",
"example": {
"type": "UPD",
"status": "2"
}
},
"type": {
"type": "string",
"description": "Тип закрывающего документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "UPD"
},
"linkedDocuments": {
"type": "array",
"description": "Связанные со счетом закрывающие документы",
"items": {
"$ref": "#/components/schemas/CDDetailsLinkedDocumentResponse"
},
"example": [
{
"id": "60612e6c-d182-4b59-a868-69714a910ee3",
"type": "WORK_ACT",
"documentNumber": "35503799",
"documentDate": "2026-09-30",
"totalPrice": 22600,
"totalVatAmount": 0,
"items": []
}
]
},
"createdOn": {
"type": "string",
"format": "date-time",
"description": "Дата и время создания документа",
"example": "2026-09-30T15:39:26.681Z"
}
},
"required": [
"cnum",
"createdOn",
"document",
"linkedDocuments",
"type"
]
},
"AbstractClosingDocumentResponse": {
"type": "object",
"description": "Базовая модель закрывающего документа",
"discriminator": {
"propertyName": "type"
},
"properties": {
"type": {
"type": "string",
"description": "Тип закрывающего документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "WORK_ACT"
}
},
"required": [
"type"
]
},
"ConsignmentNote": {
"description": "Модель товарной накладной",
"allOf": [
{
"$ref": "#/components/schemas/AbstractClosingDocumentResponse"
},
{
"type": "object",
"properties": {
"goods": {
"$ref": "#/components/schemas/Goods",
"description": "Товары"
},
"additionalInfo": {
"$ref": "#/components/schemas/ConsignmentNoteAdditionalInfo",
"description": "Дополнительная информация"
},
"seller": {
"$ref": "#/components/schemas/Seller",
"description": "Продавец"
},
"consignor": {
"$ref": "#/components/schemas/Consignor",
"description": "Отправитель груза"
},
"buyer": {
"$ref": "#/components/schemas/Buyer",
"description": "Покупатель"
},
"receiver": {
"$ref": "#/components/schemas/Receiver",
"description": "Получатель груза"
}
}
}
],
"required": [
"additionalInfo",
"buyer",
"goods",
"seller",
"type"
]
},
"Goods": {
"type": "object",
"description": "Товары",
"properties": {
"items": {
"type": "array",
"description": "Список товаров",
"items": {
"$ref": "#/components/schemas/Item"
}
},
"totalPrice": {
"type": "number",
"description": "Итоговая сумма",
"example": 500000
},
"totalVatAmount": {
"type": "number",
"description": "Итоговый НДС",
"example": 45454.55
}
},
"required": [
"items",
"totalPrice",
"totalVatAmount"
]
},
"Item": {
"type": "object",
"description": "Модель единицы товара",
"properties": {
"name": {
"type": "string",
"description": "Наименование единицы товара",
"example": "Монитор"
},
"count": {
"type": "number",
"description": "Количество",
"example": 10
},
"price": {
"type": "number",
"description": "Цена единицы товара",
"example": 50000
},
"vat": {
"$ref": "#/components/schemas/Unit",
"description": "НДС"
},
"unit": {
"$ref": "#/components/schemas/Unit",
"description": "Единица измерения"
},
"sum": {
"type": "number",
"description": "Итоговая стоимость",
"example": 500000
},
"vatAmount": {
"type": "number",
"description": "Сумма НДС",
"example": 45454.55
},
"productCode": {
"type": "string",
"description": "Код товара",
"example": "TEST-001"
},
"productTypeCode": {
"type": "string",
"description": "Код вида товара",
"example": "1"
},
"originCountry": {
"$ref": "#/components/schemas/OriginCountry",
"description": "Страна происхождения"
},
"customsDeclarationNumber": {
"type": "string",
"description": "Номер таможенной декларации",
"example": "10714020/010926/0000440"
}
},
"required": [
"count",
"name",
"price",
"sum",
"unit",
"vat",
"vatAmount"
]
},
"Unit": {
"type": "object",
"description": "Модель единицы измерения",
"properties": {
"name": {
"type": "string",
"description": "Кодовое название",
"example": "PIECE"
},
"abbreviation": {
"type": "string",
"description": "Единица измерения",
"example": "Штуки"
},
"value": {
"type": "string",
"description": "Значение",
"example": "шт"
}
},
"required": [
"abbreviation",
"name",
"value"
]
},
"OriginCountry": {
"type": "object",
"description": "Страна происхождения товара",
"properties": {
"digitalCode": {
"type": "string",
"description": "Цифровой код страны (ОКСМ)",
"example": "643"
},
"shortName": {
"type": "string",
"description": "Краткое наименование страны",
"example": "РОССИЯ"
}
},
"required": [
"digitalCode",
"shortName"
]
},
"ConsignmentNoteAdditionalInfo": {
"type": "object",
"description": "Дополнительная информация товарной накладной",
"properties": {
"documentNumber": {
"type": "string",
"description": "Номер документа",
"example": "2"
},
"documentDate": {
"type": "string",
"format": "date",
"description": "Дата документа",
"example": "2026-09-30"
},
"documentBase": {
"$ref": "#/components/schemas/DocumentBase",
"description": "Документ-основание"
},
"waybill": {
"$ref": "#/components/schemas/Waybill",
"description": "Транспортная накладная"
},
"operationType": {
"type": "string",
"description": "Тип операции",
"example": "Реализация"
}
},
"required": [
"documentBase",
"documentDate",
"documentNumber"
]
},
"DocumentBase": {
"type": "object",
"description": "Документ-основание",
"properties": {
"name": {
"type": "string",
"description": "Наименование документа",
"example": "Счет на оплату"
},
"number": {
"type": "string",
"description": "Номер документа",
"example": "84860631"
},
"date": {
"type": "string",
"format": "date",
"description": "Дата документа",
"example": "2026-09-30"
}
},
"required": [
"date",
"name",
"number"
]
},
"Signatory": {
"type": "object",
"description": "Подписант/ответственное лицо",
"properties": {
"position": {
"type": "string",
"description": "Должность",
"example": "Директор"
},
"fullName": {
"type": "string",
"description": "ФИО полностью",
"example": "Иванов Иван Иванович"
}
}
},
"Waybill": {
"type": "object",
"description": "Транспортная накладная",
"properties": {
"number": {
"type": "string",
"description": "Номер транспортной накладной",
"example": "Транспорт-552"
},
"date": {
"type": "string",
"format": "date",
"description": "Дата транспортной накладной",
"example": "2026-09-30"
}
}
},
"Seller": {
"type": "object",
"description": "Продавец",
"properties": {
"cnum": {
"type": "string",
"description": "CNUM организации",
"example": "UVGASK"
},
"name": {
"type": "string",
"description": "Наименование продавца",
"example": "ООО Продавец"
},
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"consignor": {
"type": "boolean",
"description": "Признак является ли продавец отправителем груза",
"example": false
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisites",
"description": "Банковские реквизиты"
}
},
"required": [
"cnum",
"inn",
"name"
]
},
"Consignor": {
"type": "object",
"description": "Отправитель груза",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"innType": {
"type": "string",
"description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "IE"
},
"name": {
"type": "string",
"description": "Наименование",
"example": "ООО Отправитель"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisites",
"description": "Банковские реквизиты"
}
},
"required": [
"innType",
"name"
]
},
"BankRequisites": {
"type": "object",
"description": "Банковские реквизиты",
"properties": {
"bic": {
"type": "string",
"description": "БИК банка",
"example": "081395980"
},
"name": {
"type": "string",
"description": "Наименование банка",
"example": "АО «Банк»"
},
"accountNumber": {
"type": "string",
"description": "Номер счета",
"example": "51421810026450470886"
},
"corrAccountNumber": {
"type": "string",
"description": "Номер корреспондентского счета",
"example": "30101810400000000598"
}
}
},
"Buyer": {
"type": "object",
"description": "Покупатель",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"innType": {
"type": "string",
"description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "COMPANY"
},
"name": {
"type": "string",
"description": "Наименование",
"example": "ООО Покупатель"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "г. Москва, ул. Тестовая, д. 1"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"receiver": {
"type": "boolean",
"description": "Признак является ли покупатель получателем груза",
"example": false
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisites",
"description": "Банковские реквизиты"
}
},
"required": [
"innType",
"name",
"receiver"
]
},
"Receiver": {
"type": "object",
"description": "Получатель груза",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"name": {
"type": "string",
"description": "Наименование",
"example": "ООО Получатель"
},
"innType": {
"type": "string",
"description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "IE"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "г. Москва, ул. Тестовая, д. 3"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisites",
"description": "Банковские реквизиты"
}
},
"required": [
"innType",
"name"
]
},
"CDDetailsLinkedDocumentResponse": {
"type": "object",
"description": "Связанный документ в детальной информации о закрывающем документе",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор связанного документа",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
},
"type": {
"type": "string",
"description": "Тип закрывающего документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "WORK_ACT"
},
"documentNumber": {
"type": "string",
"description": "Номер связанного документа",
"example": "35503799"
},
"documentDate": {
"type": "string",
"format": "date",
"description": "Дата связанного документа",
"example": "2026-09-30"
},
"totalPrice": {
"type": "number",
"description": "Итоговая сумма",
"example": 22600
},
"totalVatAmount": {
"type": "number",
"description": "Итоговый НДС",
"example": 0
},
"payer": {
"$ref": "#/components/schemas/Payer",
"description": "Плательщик"
},
"items": {
"type": "array",
"description": "Список товаров",
"items": {
"$ref": "#/components/schemas/ItemMiniResponse"
}
}
},
"required": [
"documentDate",
"id",
"items",
"totalPrice",
"totalVatAmount",
"type"
]
},
"Payer": {
"type": "object",
"description": "Плательщик",
"example": {
"type": "LEGAL",
"name": "ООО Покупатель",
"inn": "394439302723",
"kpp": "637996731",
"address": "г. Москва, ул. Тестовая, д. 1"
},
"properties": {
"type": {
"type": "string",
"description": "Тип плательщика. INDIVIDUAL (ФЛ) / LEGAL (юр. лицо) / NONE (без типа)",
"enum": [
"INDIVIDUAL",
"LEGAL",
"NONE"
],
"example": "LEGAL"
},
"name": {
"type": "string",
"description": "Наименование плательщика",
"example": "ООО Покупатель"
},
"inn": {
"type": "string",
"description": "ИНН плательщика",
"example": "394439302723"
},
"kpp": {
"type": "string",
"description": "КПП плательщика",
"example": "637996731"
},
"address": {
"type": "string",
"description": "Адрес плательщика",
"example": "г. Москва, ул. Тестовая, д. 1"
}
},
"required": [
"type"
]
},
"ItemMiniResponse": {
"type": "object",
"description": "Модель товара",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор товара (возвращается в ответах по счетам, у закрывающих документов отсутствует)",
"example": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
},
"name": {
"type": "string",
"description": "Наименование единицы товара.",
"example": "Услуги по настройке ПО"
},
"count": {
"type": "number",
"description": "Количество",
"example": 5
},
"price": {
"type": "number",
"description": "Цена единицы товара",
"example": 1200.5
},
"vat": {
"$ref": "#/components/schemas/Unit",
"description": "НДС"
},
"unit": {
"$ref": "#/components/schemas/Unit",
"description": "Единица измерения"
},
"sum": {
"type": "number",
"description": "Итоговая стоимость",
"example": 6002.5
},
"vatAmount": {
"type": "number",
"description": "НДС",
"example": 1000.42
}
},
"required": [
"count",
"name",
"price",
"sum",
"unit",
"vat",
"vatAmount"
]
},
"UPD": {
"description": "Модель универсального передаточного документа (УПД)",
"allOf": [
{
"$ref": "#/components/schemas/AbstractClosingDocumentResponse"
},
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Статус УПД",
"example": "2"
},
"goods": {
"$ref": "#/components/schemas/Goods",
"description": "Товары"
},
"additionalInfo": {
"$ref": "#/components/schemas/AdditionalInfo",
"description": "Дополнительная информация"
},
"transferInfo": {
"$ref": "#/components/schemas/TransferInfo",
"description": "Информация о передаче/приемке"
},
"seller": {
"$ref": "#/components/schemas/Seller",
"description": "Продавец"
},
"shipper": {
"$ref": "#/components/schemas/Participant",
"description": "Грузоотправитель"
},
"buyer": {
"$ref": "#/components/schemas/Participant",
"description": "Покупатель"
},
"receiver": {
"$ref": "#/components/schemas/Participant",
"description": "Грузополучатель"
}
}
}
],
"required": [
"additionalInfo",
"buyer",
"goods",
"seller",
"status",
"transferInfo",
"type"
]
},
"AdditionalInfo": {
"type": "object",
"description": "Дополнительная информация УПД",
"properties": {
"documentNumber": {
"type": "string",
"description": "Номер документа",
"example": "UPD-1c6410d2"
},
"documentDate": {
"type": "string",
"format": "date",
"description": "Дата документа",
"example": "2026-09-25"
},
"operationType": {
"type": "string",
"description": "Тип операции",
"example": "Продажа"
},
"correctionNumber": {
"type": "string",
"description": "Номер исправления",
"example": "1"
},
"correctionDate": {
"type": "string",
"format": "date",
"description": "Дата исправления",
"example": "2026-09-26"
},
"paymentDocumentNumber": {
"type": "string",
"description": "Номер платежно-расчетного документа",
"example": "123"
},
"paymentDocumentDate": {
"type": "string",
"format": "date",
"description": "Дата платежно-расчетного документа",
"example": "2026-09-26"
}
},
"required": [
"documentDate",
"documentNumber"
]
},
"TransferInfo": {
"type": "object",
"description": "Информация о передаче/приемке УПД",
"properties": {
"document": {
"$ref": "#/components/schemas/DocumentBase",
"description": "Документ-основание передачи"
},
"transportationInfo": {
"type": "string",
"description": "Данные о транспортировке и грузе",
"example": "Доставка транспортной компанией Деловые линии"
},
"shippingDocumentNumber": {
"type": "string",
"description": "Номер документа об отгрузке",
"example": "552"
},
"shippingDocumentDate": {
"type": "string",
"format": "date",
"description": "Дата документа об отгрузке",
"example": "2026-09-25"
},
"sellerTransferEmployee": {
"$ref": "#/components/schemas/Signatory",
"description": "Представитель продавца, передавший товар/услуги"
},
"transferDate": {
"type": "string",
"format": "date",
"description": "Дата отгрузки, передачи",
"example": "2026-09-25"
},
"sellerAdditionalInfo": {
"type": "string",
"description": "Иные сведения об отгрузке, передаче",
"example": "Отпуск разрешен"
},
"sellerResponsiblePerson": {
"$ref": "#/components/schemas/Signatory",
"description": "Ответственный продавца за правильность оформления"
},
"buyerReceiptEmployee": {
"$ref": "#/components/schemas/Signatory",
"description": "Представитель покупателя, принявший товар/услуги"
},
"receiptDate": {
"type": "string",
"format": "date",
"description": "Дата получения, приемки",
"example": "2026-09-26"
},
"buyerAdditionalInfo": {
"type": "string",
"description": "Иные сведения о получении, приемке",
"example": "Товар принят"
},
"buyerResponsiblePerson": {
"$ref": "#/components/schemas/Signatory",
"description": "Ответственный покупателя за правильность оформления"
},
"sellerEconomicSubject": {
"type": "string",
"description": "Наименование экономического субъекта - составителя документа продавца",
"example": "ООО Продавец"
},
"buyerEconomicSubject": {
"type": "string",
"description": "Наименование экономического субъекта - составителя документа покупателя",
"example": "ООО Покупатель"
}
},
"required": [
"document",
"transferDate"
]
},
"Participant": {
"type": "object",
"description": "Участник УПД",
"properties": {
"type": {
"type": "string",
"description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "COMPANY"
},
"name": {
"type": "string",
"description": "Наименование участника",
"example": "ООО Покупатель"
},
"fio": {
"$ref": "#/components/schemas/Name",
"description": "ФИО участника"
},
"inn": {
"type": "string",
"description": "ИНН",
"example": "4108003484"
},
"address": {
"type": "string",
"description": "Адрес участника",
"example": "г. Москва, ул. Тестовая, д. 1"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "410801001"
}
},
"required": [
"type"
]
},
"Name": {
"type": "object",
"description": "ФИО",
"properties": {
"lastName": {
"type": "string",
"description": "Фамилия",
"minLength": 1,
"example": "Иванов"
},
"firstName": {
"type": "string",
"description": "Имя",
"minLength": 1,
"example": "Иван"
},
"middleName": {
"type": "string",
"description": "Отчество",
"example": "Иванович"
}
},
"required": [
"firstName",
"lastName"
]
},
"WorkAct": {
"description": "Модель акта выполненных работ",
"allOf": [
{
"$ref": "#/components/schemas/AbstractClosingDocumentResponse"
},
{
"type": "object",
"properties": {
"services": {
"$ref": "#/components/schemas/ServiceList",
"description": "Услуги"
},
"additionalInfo": {
"$ref": "#/components/schemas/WorkActAdditionalInfo",
"description": "Дополнительная информация"
},
"executor": {
"$ref": "#/components/schemas/Executor",
"description": "Исполнитель"
},
"customer": {
"$ref": "#/components/schemas/Customer",
"description": "Заказчик"
}
}
}
],
"required": [
"additionalInfo",
"customer",
"executor",
"services",
"type"
]
},
"ServiceList": {
"type": "object",
"description": "Список услуг",
"properties": {
"items": {
"type": "array",
"description": "Список услуг",
"items": {
"$ref": "#/components/schemas/ItemMiniResponse"
}
},
"totalPrice": {
"type": "number",
"description": "Итоговая сумма",
"example": 22600
},
"totalVatAmount": {
"type": "number",
"description": "Итоговый НДС",
"example": 0
}
},
"required": [
"items",
"totalPrice",
"totalVatAmount"
]
},
"WorkActAdditionalInfo": {
"type": "object",
"description": "Дополнительная информация акта выполненных работ",
"properties": {
"documentNumber": {
"type": "string",
"description": "Номер документа",
"example": "35503799"
},
"documentDate": {
"type": "string",
"format": "date",
"description": "Дата документа",
"example": "2026-09-30"
},
"upperComment": {
"type": "string",
"description": "Комментарий вверху бланка документа",
"example": "Работы выполнены в полном объеме"
},
"lowerComment": {
"type": "string",
"description": "Комментарий внизу бланка документа",
"example": "Претензий не имеем"
}
},
"required": [
"documentDate"
]
},
"Executor": {
"type": "object",
"description": "Исполнитель",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"name": {
"type": "string",
"description": "Наименование",
"example": "ООО Исполнитель"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
}
},
"required": [
"inn",
"name"
]
},
"Customer": {
"type": "object",
"description": "Заказчик",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"innType": {
"type": "string",
"description": "Тип участника. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "COMPANY"
},
"name": {
"type": "string",
"description": "Наименование",
"example": "ООО Заказчик"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "г. Москва, ул. Тестовая, д. 1"
}
},
"required": [
"innType",
"name"
]
},
"DocNumberResponse": {
"type": "object",
"description": "Данные по номеру выставляемого счета",
"properties": {
"nextDocNumber": {
"type": "string",
"description": "Следующий доступный номер для выставляемого счета",
"example": "12"
}
},
"required": [
"nextDocNumber"
]
},
"MeasurementResponse": {
"type": "object",
"description": "Модель списка единиц измерения",
"properties": {
"vat": {
"type": "array",
"description": "Список НДС.",
"items": {
"$ref": "#/components/schemas/Unit"
},
"example": [
{
"name": "VAT_0",
"abbreviation": "НДС 0%",
"value": "0"
}
]
},
"units": {
"type": "array",
"description": "Единицы измерения.",
"items": {
"$ref": "#/components/schemas/Unit"
},
"example": [
{
"name": "PIECE",
"abbreviation": "Штуки",
"value": "шт"
}
]
}
},
"required": [
"units",
"vat"
]
},
"BillResponse": {
"type": "object",
"description": "Корневая модель исходящего документа.",
"properties": {
"documentId": {
"type": "string",
"format": "uuid",
"description": "Идентификатор сохранённого документа.",
"example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
},
"required": [
"documentId"
]
},
"BillRequest": {
"type": "object",
"description": "Корневая модель входящего документа",
"properties": {
"goods": {
"$ref": "#/components/schemas/GoodsRequest",
"description": "Модель с товарами"
},
"invoice": {
"$ref": "#/components/schemas/Invoice",
"description": "Модель выставленного счёта"
},
"payer": {
"$ref": "#/components/schemas/PayerRequest",
"description": "Модель с данными плательщика"
},
"payee": {
"$ref": "#/components/schemas/PayeeRequest",
"description": "Модель с данными получателя"
},
"closingDocuments": {
"type": "array",
"description": "Связанные со счетом закрывающие документы",
"items": {
"type": "string",
"format": "uuid"
},
"uniqueItems": true,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
},
"receipts": {
"type": "array",
"description": "Связанные со счетом чеки самозанятых",
"items": {
"type": "string",
"format": "uuid"
},
"uniqueItems": true,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
"required": [
"goods",
"invoice",
"payee",
"payer"
]
},
"GoodsRequest": {
"type": "object",
"description": "Товары",
"example": {
"items": [
{
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"unit": "HOUR",
"vat": "VAT_20"
}
]
},
"properties": {
"items": {
"type": "array",
"description": "Список товаров",
"items": {
"$ref": "#/components/schemas/ItemRequest"
},
"maxItems": 2147483647,
"minItems": 1,
"example": [
{
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"unit": "HOUR",
"vat": "VAT_20"
}
]
}
},
"required": [
"items"
]
},
"ItemRequest": {
"type": "object",
"description": "Модель единицы товара",
"properties": {
"name": {
"type": "string",
"description": "Наименование единицы товара",
"example": "Услуги по настройке ПО"
},
"count": {
"type": "number",
"description": "Количество",
"example": 5
},
"price": {
"type": "number",
"description": "Цена единицы товара",
"example": 1200.5
},
"unit": {
"type": "string",
"description": "Единица измерения товара",
"example": "HOUR",
"enum": [
"PIECE",
"MINUTE",
"HOUR",
"DAY",
"CENTIMETER",
"DECIMETER",
"METER",
"KILOMETER",
"SQUARE_METER",
"HECTARE",
"CUBIC_METER",
"LITER",
"GRAM",
"KILOGRAM",
"TON",
"KIT",
"BOX",
"KILOWATT_HOUR",
"GIGA_CALORIES",
"STANDARD_UNIT",
"LINEAR_METER",
"PACKAGE",
"SERVICE",
"PAIR",
"MACHINE_HOUR",
"MONTH",
"EMPTY"
]
},
"vat": {
"type": "string",
"description": "НДС",
"example": "VAT_20",
"enum": [
"VAT_0",
"NO_VAT",
"VAT_22",
"VAT_20",
"VAT_18",
"VAT_10",
"VAT_7",
"VAT_5"
]
}
},
"required": [
"count",
"name",
"price",
"unit",
"vat"
]
},
"Invoice": {
"type": "object",
"description": "Счёт на оплату",
"example": {
"num": "INV-2024-001",
"date": "2026-09-30",
"cause": "Оплата по договору №123456",
"comment": "Платёж по договору №123456"
},
"properties": {
"num": {
"type": "string",
"description": "Номер счёта в буквенно-цифровом формате (может содержать латиницу, кириллицу, цифры, дефис и слэш)",
"example": "INV-2024-001",
"pattern": "^(?=[A-Za-zА-Яа-я0-9/-]{1,30})(?=.*[1-9]+).*$"
},
"date": {
"type": "string",
"format": "date",
"description": "Дата выставления счёта",
"example": "2007-12-03"
},
"cause": {
"type": "string",
"description": "Основание для выставления счёта",
"example": "Оплата по договору №123456"
},
"comment": {
"type": "string",
"description": "Комментарий",
"example": "Платёж по договору №123456"
}
},
"required": [
"date",
"num"
]
},
"PayerRequest": {
"type": "object",
"description": "Модель плательщика",
"example": {
"type": "LEGAL",
"name": "ООО Покупатель",
"inn": "394439302723",
"kpp": "637996731",
"address": "г. Москва, ул. Тестовая, д. 1"
},
"properties": {
"type": {
"type": "string",
"description": "Тип плательщика.",
"enum": [
"INDIVIDUAL",
"LEGAL",
"NONE"
],
"example": "LEGAL"
},
"name": {
"type": "string",
"description": "Наименование плательщика.",
"example": "ООО Покупатель"
},
"inn": {
"type": "string",
"description": "ИНН плательщика.",
"example": "394439302723"
},
"kpp": {
"type": "string",
"description": "КПП плательщика.",
"example": "637996731"
},
"address": {
"type": "string",
"description": "Адрес плательщика.",
"example": "г. Москва, ул. Тестовая, д. 1"
}
},
"required": [
"type"
]
},
"PayeeRequest": {
"type": "object",
"description": "Модель получателя платежа.",
"example": {
"inn": "394439302723",
"kpp": "637996731",
"name": "ООО Продавец",
"lawType": "ООО",
"juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
"account": {
"name": "АО «Банк»",
"num": "51421810026450470886",
"bic": "081395980",
"corrAcc": "30101810400000000598"
}
},
"properties": {
"inn": {
"type": "string",
"description": "ИНН получателя платежа",
"example": "394439302723"
},
"kpp": {
"type": "string",
"description": "КПП получателя платежа",
"example": "637996731"
},
"name": {
"type": "string",
"description": "Наименование получателя платежа",
"example": "ООО Продавец"
},
"lawType": {
"type": "string",
"description": "Организационно-правовая форма",
"example": "ООО"
},
"juridicalAddress": {
"type": "string",
"description": "Юридический адрес получателя платежа",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"account": {
"$ref": "#/components/schemas/AccountRequest",
"description": "Банковский счёт получателя платежа."
}
},
"required": [
"account",
"inn",
"juridicalAddress"
]
},
"AccountRequest": {
"type": "object",
"description": "Счёт получателя",
"example": {
"name": "АО «Банк»",
"num": "51421810026450470886",
"bic": "081395980",
"corrAcc": "30101810400000000598"
},
"properties": {
"name": {
"type": "string",
"description": "Наименование счёта",
"example": "АО «Банк»"
},
"num": {
"type": "string",
"description": "Номер счёта",
"example": "51421810026450470886"
},
"bic": {
"type": "string",
"description": "БИК получателя",
"example": "081395980"
},
"branchName": {
"type": "string",
"description": "Наименование отделения банка получателя",
"example": "Московский филиал АО «Банк»"
},
"corrAcc": {
"type": "string",
"description": "Корреспондентский счёт",
"example": "30101810400000000598"
}
},
"required": [
"bic",
"name",
"num"
]
},
"PageBillMiniResponse": {
"type": "object",
"description": "Страница со списком счетов на оплату",
"properties": {
"totalElements": {
"type": "integer",
"format": "int64",
"description": "Всего элементов",
"example": 40
},
"totalPages": {
"type": "integer",
"format": "int32",
"description": "Всего страниц",
"example": 2
},
"first": {
"type": "boolean",
"description": "Признак первой страницы",
"example": true
},
"last": {
"type": "boolean",
"description": "Признак последней страницы",
"example": false
},
"statusIsUpdating": {
"type": "boolean",
"description": "Признак того, что статусы счетов сейчас обновляются",
"example": false
},
"numberOfElements": {
"type": "integer",
"format": "int32",
"description": "Количество элементов на текущей странице",
"example": 30
},
"pageable": {
"$ref": "#/components/schemas/Pageable",
"description": "Информация о пагинации"
},
"size": {
"type": "integer",
"format": "int32",
"description": "Размер страницы",
"example": 30
},
"content": {
"type": "array",
"description": "Список счетов на оплату",
"items": {
"$ref": "#/components/schemas/BillMiniResponse"
},
"example": [
{
"id": "60612e6c-d182-4b59-a868-69714a910ee3",
"cnum": "UVGASK",
"status": "PAYMENT_PENDING",
"createdDate": 1790763566,
"invoiceDate": 1790726400,
"docNumber": "1",
"amount": 6002.5,
"items": [],
"linkedDocuments": [],
"numberOfRemainingLinkedDocuments": 0,
"receipts": []
}
]
},
"number": {
"type": "integer",
"format": "int32",
"description": "Номер текущей страницы",
"example": 0
},
"sort": {
"$ref": "#/components/schemas/Sort",
"description": "Информация о сортировке"
},
"empty": {
"type": "boolean",
"description": "Признак пустой страницы",
"example": false
}
}
},
"Pageable": {
"type": "object",
"description": "Информация о пагинации",
"example": {
"paged": true,
"pageNumber": 0,
"pageSize": 30,
"unpaged": false,
"offset": 0,
"sort": {
"sorted": true,
"unsorted": false,
"empty": false
}
},
"properties": {
"paged": {
"type": "boolean",
"description": "Признак постраничного вывода",
"example": true
},
"pageNumber": {
"type": "integer",
"format": "int32",
"description": "Номер страницы",
"example": 0
},
"pageSize": {
"type": "integer",
"format": "int32",
"description": "Размер страницы",
"example": 30
},
"unpaged": {
"type": "boolean",
"description": "Признак непостраничного вывода",
"example": false
},
"offset": {
"type": "integer",
"format": "int64",
"description": "Смещение от начала выборки",
"example": 0
},
"sort": {
"$ref": "#/components/schemas/Sort",
"description": "Информация о сортировке"
}
}
},
"Sort": {
"type": "object",
"description": "Информация о сортировке",
"example": {
"sorted": true,
"unsorted": false,
"empty": false
},
"properties": {
"sorted": {
"type": "boolean",
"description": "Признак отсортированного результата",
"example": true
},
"unsorted": {
"type": "boolean",
"description": "Признак неотсортированного результата",
"example": false
},
"empty": {
"type": "boolean",
"description": "Признак отсутствия сортировки",
"example": false
}
}
},
"BillMiniResponse": {
"type": "object",
"description": "Краткая информация о счете на оплату",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор счета",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
},
"cnum": {
"type": "string",
"description": "CNUM организации",
"example": "UVGASK"
},
"status": {
"type": "string",
"description": "Статус счета на оплату",
"enum": [
"PAYMENT_PENDING",
"PAID"
],
"example": "PAYMENT_PENDING"
},
"createdDate": {
"type": "number",
"description": "Дата и время создания счета (количество секунд с начала эпохи Unix, десятичная дробь с наносекундами)",
"example": 1790763566
},
"invoiceDate": {
"type": "number",
"description": "Дата выставления счета (количество секунд с начала эпохи Unix, десятичная дробь с наносекундами)",
"example": 1790726400
},
"docNumber": {
"type": "string",
"description": "Номер документа",
"example": "1"
},
"payer": {
"$ref": "#/components/schemas/PayerMiniResponse",
"description": "Плательщик"
},
"payee": {
"$ref": "#/components/schemas/PayeeMiniResponse",
"description": "Получатель платежа"
},
"amount": {
"type": "number",
"description": "Сумма счета",
"example": 6002.5
},
"items": {
"type": "array",
"description": "Список товаров",
"items": {
"$ref": "#/components/schemas/ItemMiniResponse"
}
},
"linkedDocuments": {
"type": "array",
"description": "Связанные закрывающие документы",
"items": {
"$ref": "#/components/schemas/CDListLinkedDocumentResponse"
}
},
"numberOfRemainingLinkedDocuments": {
"type": "integer",
"format": "int32",
"description": "Количество связанных документов, которые не вернулись в ответе",
"example": 0
},
"receipts": {
"type": "array",
"description": "Связанные чеки самозанятых",
"items": {
"type": "string",
"format": "uuid"
},
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
"required": [
"amount",
"cnum",
"createdDate",
"docNumber",
"id",
"invoiceDate",
"items",
"linkedDocuments",
"numberOfRemainingLinkedDocuments",
"payee",
"payer",
"receipts",
"status"
]
},
"PayerMiniResponse": {
"type": "object",
"description": "Плательщик",
"properties": {
"name": {
"type": "string",
"description": "Наименование плательщика",
"example": "ООО Покупатель"
},
"type": {
"type": "string",
"description": "Тип плательщика. INDIVIDUAL (ФЛ) / LEGAL (юр. лицо) / NONE (без типа)",
"enum": [
"INDIVIDUAL",
"LEGAL",
"NONE"
],
"example": "LEGAL"
},
"inn": {
"type": "string",
"description": "ИНН плательщика",
"example": "394439302723"
},
"kpp": {
"type": "string",
"description": "КПП плательщика",
"example": "637996731"
},
"address": {
"type": "string",
"description": "Адрес плательщика",
"example": "г. Москва, ул. Тестовая, д. 1"
}
}
},
"PayeeMiniResponse": {
"type": "object",
"description": "Получатель платежа",
"properties": {
"name": {
"type": "string",
"description": "Наименование получателя платежа",
"example": "ООО Продавец"
},
"inn": {
"type": "string",
"description": "ИНН получателя платежа",
"example": "394439302723"
},
"kpp": {
"type": "string",
"description": "КПП получателя платежа",
"example": "637996731"
},
"address": {
"type": "string",
"description": "Адрес получателя платежа",
"example": "123154, Москва г, ул. Тестовая, д. 2"
}
}
},
"CDListLinkedDocumentResponse": {
"type": "object",
"description": "Список связанных документов",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор связанного документа",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
},
"type": {
"type": "string",
"description": "Тип связанного документа. Одно из значений BILL, WORK_ACT, CONSIGNMENT_NOTE, INVOICE_FACTURA",
"example": "BILL"
},
"documentNumber": {
"type": "string",
"description": "Номер связанного документа",
"example": "1"
}
},
"required": [
"id",
"type"
]
},
"BillStatusUpdateRequest": {
"type": "object",
"description": "Запрос на обновление статуса счетов",
"properties": {
"billIds": {
"type": "array",
"description": "Список идентификаторов счетов для обновления статуса",
"items": {
"type": "string",
"format": "uuid"
},
"minItems": 1,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
},
"status": {
"type": "string",
"description": "Новый статус для счетов",
"enum": [
"PAYMENT_PENDING",
"PAID"
],
"example": "PAID"
}
},
"required": [
"billIds",
"status"
]
},
"BillUpdateRequest": {
"type": "object",
"description": "Корневая модель обновления документа",
"properties": {
"goods": {
"$ref": "#/components/schemas/GoodsUpdateRequest",
"description": "Модель с товарами"
},
"invoice": {
"$ref": "#/components/schemas/Invoice",
"description": "Модель выставленного счёта"
},
"payer": {
"$ref": "#/components/schemas/PayerRequest",
"description": "Модель с данными плательщика"
},
"payee": {
"$ref": "#/components/schemas/PayeeRequest",
"description": "Модель с данными получателя"
},
"closingDocuments": {
"type": "array",
"description": "Связанные со счетом закрывающие документы",
"items": {
"type": "string",
"format": "uuid"
},
"uniqueItems": true,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
"required": [
"goods",
"invoice",
"payee",
"payer"
]
},
"GoodsUpdateRequest": {
"type": "object",
"description": "DTO Информация о товарах",
"example": {
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"unit": "HOUR",
"vat": "VAT_20"
}
]
},
"properties": {
"items": {
"type": "array",
"description": "Товары",
"example": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"unit": "HOUR",
"vat": "VAT_20"
}
],
"items": {
"$ref": "#/components/schemas/ItemUpdateRequest"
}
}
},
"required": [
"items"
]
},
"ItemUpdateRequest": {
"type": "object",
"description": "Модель единицы товара",
"example": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"unit": "HOUR",
"vat": "VAT_20"
},
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор товара",
"example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"name": {
"type": "string",
"description": "Наименование единицы товара",
"example": "Услуги по настройке ПО"
},
"count": {
"type": "number",
"description": "Количество",
"example": 5
},
"price": {
"type": "number",
"description": "Цена единицы товара",
"example": 1200.5
},
"unit": {
"type": "string",
"description": "Единица измерения товара",
"example": "HOUR",
"enum": [
"PIECE",
"MINUTE",
"HOUR",
"DAY",
"CENTIMETER",
"DECIMETER",
"METER",
"KILOMETER",
"SQUARE_METER",
"HECTARE",
"CUBIC_METER",
"LITER",
"GRAM",
"KILOGRAM",
"TON",
"KIT",
"BOX",
"KILOWATT_HOUR",
"GIGA_CALORIES",
"STANDARD_UNIT",
"LINEAR_METER",
"PACKAGE",
"SERVICE",
"PAIR",
"MACHINE_HOUR",
"MONTH",
"EMPTY"
]
},
"vat": {
"type": "string",
"description": "НДС.",
"example": "VAT_20",
"enum": [
"VAT_0",
"NO_VAT",
"VAT_22",
"VAT_20",
"VAT_18",
"VAT_10",
"VAT_7",
"VAT_5"
]
}
},
"required": [
"count",
"name",
"price",
"unit",
"vat"
]
},
"BillDetailsResponse": {
"type": "object",
"description": "Детальная информация о счете на оплату",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор счета",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
},
"status": {
"type": "string",
"description": "Статус счета на оплату",
"enum": [
"PAYMENT_PENDING",
"PAID"
],
"example": "PAYMENT_PENDING"
},
"docNumber": {
"type": "string",
"description": "Номер документа",
"example": "1"
},
"cnum": {
"type": "string",
"description": "CNUM организации",
"example": "UVGASK"
},
"goods": {
"$ref": "#/components/schemas/GoodsResponse"
},
"invoice": {
"$ref": "#/components/schemas/Invoice",
"description": "Счёт на оплату"
},
"payer": {
"$ref": "#/components/schemas/Payer",
"description": "Плательщик"
},
"payee": {
"$ref": "#/components/schemas/PayeeResponse",
"description": "Получатель платежа"
},
"linkedDocuments": {
"type": "array",
"description": "Связанные закрывающие документы",
"items": {
"$ref": "#/components/schemas/BillDetailsLinkedDocumentResponse"
},
"example": [
{
"id": "60612e6c-d182-4b59-a868-69714a910ee3",
"type": "WORK_ACT",
"documentNumber": "35503799",
"documentDate": "2026-09-30",
"totalPrice": 22600,
"totalVatAmount": 0
}
]
},
"payments": {
"type": "array",
"description": "Оплаты по счету",
"items": {
"$ref": "#/components/schemas/BillPaymentResponse"
},
"example": [
{
"transactionKey": "2026-09-30_401900899873_123_6002.50",
"operDate": "2026-09-30",
"total": 6002.5
}
]
},
"statusIsUpdating": {
"type": "boolean",
"description": "Признак того, что статус счета сейчас обновляется",
"example": false
},
"createdOn": {
"type": "string",
"format": "date-time",
"description": "Дата и время создания счета",
"example": "2026-09-30T10:19:26Z"
},
"receipts": {
"type": "array",
"description": "Связанные чеки самозанятых",
"items": {
"type": "string",
"format": "uuid"
},
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
"required": [
"cnum",
"createdOn",
"docNumber",
"goods",
"id",
"invoice",
"linkedDocuments",
"payee",
"payer",
"payments",
"receipts",
"status",
"statusIsUpdating"
]
},
"GoodsResponse": {
"type": "object",
"description": "Товары",
"example": {
"totalPrice": 6002.5,
"totalVatAmount": 1000.42,
"items": [
{
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"vat": {
"name": "VAT_20",
"abbreviation": "НДС 20%",
"value": "20"
},
"unit": {
"name": "HOUR",
"abbreviation": "Часы",
"value": "ч"
},
"sum": 6002.5,
"vatAmount": 1000.42
}
]
},
"properties": {
"totalVatAmount": {
"type": "number",
"description": "Итоговый НДС",
"example": 1000.42
},
"totalPrice": {
"type": "number",
"description": "Итоговая сумма",
"example": 6002.5
},
"items": {
"type": "array",
"description": "Товары",
"example": [
{
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"vat": {
"name": "VAT_20",
"abbreviation": "НДС 20%",
"value": "20"
},
"unit": {
"name": "HOUR",
"abbreviation": "Часы",
"value": "ч"
},
"sum": 6002.5,
"vatAmount": 1000.42
}
],
"items": {
"$ref": "#/components/schemas/ItemMiniResponse"
}
}
},
"required": [
"items",
"totalPrice",
"totalVatAmount"
]
},
"PayeeResponse": {
"type": "object",
"description": "Получатель платежа",
"example": {
"inn": "394439302723",
"kpp": "637996731",
"cnum": "UVGASK",
"name": "ООО Продавец",
"juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
"lawType": "ООО",
"account": {
"name": "АО «Банк»",
"num": "51421810026450470886",
"branchName": "Московский филиал АО «Банк»",
"corrAcc": "30101810400000000598",
"bic": "081395980"
}
},
"properties": {
"inn": {
"type": "string",
"description": "ИНН получателя платежа",
"example": "394439302723"
},
"kpp": {
"type": "string",
"description": "КПП получателя платежа",
"example": "637996731"
},
"cnum": {
"type": "string",
"description": "CNUM организации",
"example": "UVGASK"
},
"name": {
"type": "string",
"description": "Наименование получателя платежа",
"example": "ООО Продавец"
},
"juridicalAddress": {
"type": "string",
"description": "Юридический адрес получателя платежа",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"lawType": {
"type": "string",
"description": "Организационно-правовая форма",
"example": "ООО"
},
"account": {
"$ref": "#/components/schemas/AccountResponse",
"description": "Банковский счёт получателя платежа"
}
},
"required": [
"account",
"cnum",
"inn",
"juridicalAddress"
]
},
"AccountResponse": {
"type": "object",
"description": "Банковский счёт получателя",
"example": {
"name": "АО «Банк»",
"num": "51421810026450470886",
"branchName": "Московский филиал АО «Банк»",
"corrAcc": "30101810400000000598",
"bic": "081395980"
},
"properties": {
"name": {
"type": "string",
"description": "Наименование банка",
"example": "АО «Банк»"
},
"num": {
"type": "string",
"description": "Номер счёта",
"example": "51421810026450470886"
},
"branchName": {
"type": "string",
"description": "Наименование отделения банка",
"example": "Московский филиал АО «Банк»"
},
"corrAcc": {
"type": "string",
"description": "Корреспондентский счёт",
"example": "30101810400000000598"
},
"bic": {
"type": "string",
"description": "БИК банка",
"example": "081395980"
}
},
"required": [
"bic",
"branchName",
"corrAcc",
"name",
"num"
]
},
"BillDetailsLinkedDocumentResponse": {
"type": "object",
"description": "Связанный документ в детальной информации о счете",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор связанного документа",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
},
"type": {
"type": "string",
"description": "Тип закрывающего документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "WORK_ACT"
},
"documentNumber": {
"type": "string",
"description": "Номер связанного документа",
"example": "35503799"
},
"documentDate": {
"type": "string",
"format": "date",
"description": "Дата связанного документа",
"example": "2026-09-30"
},
"totalPrice": {
"type": "number",
"description": "Итоговая сумма",
"example": 22600
},
"totalVatAmount": {
"type": "number",
"description": "Итоговый НДС",
"example": 0
},
"payer": {
"$ref": "#/components/schemas/Payer",
"description": "Плательщик"
}
},
"required": [
"documentDate",
"id",
"totalPrice",
"totalVatAmount",
"type"
]
},
"BillPaymentResponse": {
"type": "object",
"description": "Оплата по счету",
"properties": {
"transactionKey": {
"type": "string",
"description": "Уникальный ключ транзакции для предотвращения дублей",
"example": "2026-09-30_401900899873_123_6002.50"
},
"operDate": {
"type": "string",
"format": "date",
"description": "Дата операции",
"example": "2026-09-30"
},
"corrName": {
"type": "string",
"description": "Наименование контрагента",
"example": "ООО Покупатель"
},
"total": {
"type": "number",
"description": "Сумма оплаты",
"example": 6002.5
},
"docNum": {
"type": "string",
"description": "Номер документа",
"example": "1"
},
"corrAccount": {
"type": "string",
"description": "Счёт контрагента",
"example": "51421810026450470886"
},
"accountCurrency": {
"type": "string",
"description": "Валюта счета (код по ISO 4217)",
"example": "RUB",
"enum": [
"AFA",
"ALK",
"ALL",
"DZD",
"ADP",
"AOK",
"AON",
"AZM",
"ARA",
"ARP",
"ARS",
"ARY",
"AUD",
"ATS",
"BSD",
"BHD",
"BDT",
"AMD",
"BBD",
"BEF",
"BMD",
"BTN",
"BOB",
"BOP",
"BAD",
"BWP",
"BRB",
"BRC",
"BRE",
"BRN",
"BZD",
"SBD",
"BND",
"BGJ",
"BGK",
"BGL",
"BUK",
"MMK",
"BIF",
"BYB",
"KHR",
"CAD",
"CVE",
"KYD",
"LKR",
"CLP",
"CNY",
"COP",
"KMF",
"ZRN",
"ZRZ",
"CRC",
"HRD",
"HRK",
"CUP",
"CYP",
"CSK",
"CSJ",
"CZK",
"DKK",
"DOP",
"ECS",
"SVC",
"GQE",
"ETB",
"ERN",
"EEK",
"FKP",
"FJD",
"FIM",
"FRF",
"DJF",
"GEK",
"GMD",
"DEM",
"DDM",
"GHC",
"GIP",
"GRD",
"GTQ",
"GNE",
"GNF",
"GNS",
"GYD",
"HTG",
"HNL",
"HKD",
"HUF",
"ISJ",
"ISK",
"INR",
"IDR",
"IRR",
"IQD",
"IEP",
"ILP",
"ILR",
"ILS",
"ITL",
"JMD",
"JPY",
"KZT",
"JOD",
"KES",
"KPW",
"KRW",
"KWD",
"KGS",
"LAJ",
"LAK",
"LBP",
"LSL",
"LSM",
"LVL",
"LVR",
"LRD",
"LYD",
"LTL",
"LTT",
"LUF",
"MOP",
"MGF",
"MWK",
"MYR",
"MVQ",
"MVR",
"MLF",
"MTL",
"MTP",
"MRO",
"MUR",
"MXN",
"MXP",
"MNT",
"MDL",
"MAD",
"MZE",
"MZM",
"OMR",
"NAD",
"NPR",
"NLG",
"ANG",
"AWG",
"VUV",
"NZD",
"NIC",
"NIO",
"NGN",
"NOK",
"PKR",
"PAB",
"PGK",
"PYG",
"PEH",
"PEI",
"PEN",
"PES",
"PHP",
"PLZ",
"PTE",
"GWE",
"GWP",
"TPE",
"QAR",
"ROK",
"ROL",
"RUB",
"RWF",
"SHP",
"STD",
"SAR",
"SCR",
"SLL",
"SGD",
"SKK",
"VNC",
"VND",
"SIT",
"SOS",
"ZAR",
"RHD",
"ZWC",
"ZWD",
"YDD",
"ESP",
"SSP",
"SDD",
"SDP",
"SRG",
"SZL",
"SEK",
"CHF",
"SYP",
"TJR",
"THB",
"TOP",
"TTD",
"AED",
"TND",
"TRL",
"TMM",
"UGS",
"UGW",
"UGX",
"UAK",
"MKD",
"RUR",
"SUR",
"EGP",
"GBP",
"TZS",
"USD",
"UYN",
"UYP",
"UYU",
"UZS",
"VEB",
"WST",
"YER",
"YUD",
"YUN",
"CSD",
"YUM",
"ZMK",
"TWD",
"SLE",
"VED",
"UYW",
"VES",
"MRU",
"STN",
"CUC",
"ZWL",
"BYN",
"TMT",
"ZWR",
"GHS",
"VEF",
"SDG",
"GHP",
"UYI",
"RSD",
"ZWN",
"MZN",
"AZN",
"AYM",
"RON",
"CHE",
"CHC",
"CHW",
"TRY",
"XAF",
"XCD",
"XOF",
"XPF",
"XEU",
"XBA",
"XBB",
"XBC",
"XBD",
"XAU",
"XDR",
"XAG",
"XPT",
"XTS",
"XPD",
"XUA",
"ZMW",
"SRD",
"MGA",
"COU",
"AFN",
"TJS",
"AOA",
"BYR",
"BGN",
"CDF",
"BAM",
"EUR",
"MXV",
"UAH",
"GEL",
"AOR",
"ECV",
"BOV",
"PLN",
"BRL",
"BRR",
"LUL",
"LUC",
"CLF",
"ZAL",
"BEL",
"BEC",
"XSU",
"ESB",
"ESA",
"USN",
"USS",
"XXX"
]
},
"orgName": {
"type": "string",
"description": "Наименование организации",
"example": "ООО Продавец"
},
"purpose": {
"type": "string",
"description": "Назначение платежа",
"example": "Оплата по счёту №1 от 30.09.2026"
}
},
"required": [
"transactionKey"
]
},
"DocumentIdsRequest": {
"type": "object",
"description": "Запрос на удаление закрывающих документов",
"properties": {
"documentIds": {
"type": "array",
"description": "Список идентификаторов документов для удаления",
"items": {
"type": "string",
"format": "uuid"
},
"minItems": 1,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
"required": [
"documentIds"
]
},
"ClosingDocumentResponse": {
"type": "object",
"description": "Созданный закрывающий документ",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор созданного документа",
"example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"type": {
"type": "string",
"description": "Тип закрывающего документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "UPD"
}
},
"required": [
"id",
"type"
]
},
"ConsignmentNoteRequest": {
"allOf": [
{
"$ref": "#/components/schemas/AbstractClosingDocumentRequest"
},
{
"type": "object",
"properties": {
"goods": {
"$ref": "#/components/schemas/GoodsRequest",
"description": "Товары"
},
"additionalInfo": {
"$ref": "#/components/schemas/AdditionalInfoRequest",
"description": "Дополнительная информация"
},
"seller": {
"$ref": "#/components/schemas/SellerRequest",
"description": "Продавец"
},
"consignor": {
"$ref": "#/components/schemas/ConsignorRequest",
"description": "Отправитель груза. Поле обязательно, если seller.consignor = false"
},
"buyer": {
"$ref": "#/components/schemas/BuyerRequest",
"description": "Покупатель"
},
"receiver": {
"$ref": "#/components/schemas/ReceiverRequest",
"description": "Получатель груза. Поле обязательно, если buyer.receiver = false"
},
"bills": {
"type": "array",
"description": "Связанные счета",
"items": {
"type": "string",
"format": "uuid"
},
"uniqueItems": true,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
}
}
],
"description": "Модель товарной накладной",
"required": [
"additionalInfo",
"buyer",
"goods",
"seller",
"type"
]
},
"AbstractClosingDocumentRequest": {
"type": "object",
"description": "Базовая модель запроса на создание закрывающего документа",
"discriminator": {
"propertyName": "type"
},
"properties": {
"type": {
"type": "string",
"description": "Тип закрывающего документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "WORK_ACT"
},
"bills": {
"type": "array",
"description": "Связанные счета",
"items": {
"type": "string",
"format": "uuid"
},
"uniqueItems": true,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
"required": [
"type"
]
},
"AdditionalInfoRequest": {
"type": "object",
"description": "Дополнительная информация",
"properties": {
"documentNumber": {
"type": "string",
"description": "Номер документа",
"example": "35503799"
},
"documentDate": {
"type": "string",
"format": "date",
"description": "Дата отправки документа",
"example": "2026-09-30"
},
"upperComment": {
"type": "string",
"description": "Комментарий вверху бланка документа",
"example": "Работы выполнены в полном объеме"
},
"lowerComment": {
"type": "string",
"description": "Комментарий внизу бланка документа",
"example": "Претензий не имеем"
}
},
"required": [
"documentDate"
]
},
"SellerRequest": {
"type": "object",
"description": "Продавец",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"name": {
"type": "string",
"description": "Наименование продавца",
"example": "ООО Продавец"
},
"address": {
"type": "string",
"description": "Адрес продавца",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"consignor": {
"type": "boolean",
"description": "Признак является ли продавец отправителем груза",
"example": false
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisitesRequest",
"description": "Банковские реквизиты"
}
},
"required": [
"consignor",
"inn",
"name"
]
},
"BankRequisitesRequest": {
"type": "object",
"description": "Банковские реквизиты",
"properties": {
"bic": {
"type": "string",
"description": "БИК банка",
"example": "081395980"
},
"name": {
"type": "string",
"description": "Наименование банка",
"example": "АО «Банк»"
},
"accountNumber": {
"type": "string",
"description": "Номер счета",
"example": "51421810026450470886"
},
"corrAccountNumber": {
"type": "string",
"description": "Номер корреспондентского счета",
"example": "30101810400000000598"
}
}
},
"ConsignorRequest": {
"type": "object",
"description": "Отправитель груза",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"innType": {
"type": "string",
"description": "Тип ИНН. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "IE"
},
"name": {
"type": "string",
"description": "Наименование продавца",
"example": "ООО Отправитель"
},
"address": {
"type": "string",
"description": "Адрес продавца",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisitesRequest",
"description": "Банковские реквизиты"
},
"isInn": {
"type": "boolean",
"description": "Признак наличия ИНН",
"example": true
},
"isKpp": {
"type": "boolean",
"description": "Признак наличия КПП",
"example": true
}
},
"required": [
"innType",
"isInn",
"isKpp",
"name"
]
},
"BuyerRequest": {
"type": "object",
"description": "Покупатель",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"innType": {
"type": "string",
"description": "Тип ИНН. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "COMPANY"
},
"name": {
"type": "string",
"description": "Наименование продавца",
"example": "ООО Покупатель"
},
"address": {
"type": "string",
"description": "Адрес продавца",
"example": "г. Москва, ул. Тестовая, д. 1"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"receiver": {
"type": "boolean",
"description": "Признак является ли покупатель получателем груза",
"example": false
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisitesRequest",
"description": "Банковские реквизиты"
},
"isInn": {
"type": "boolean",
"description": "Признак наличия ИНН",
"example": true
},
"isKpp": {
"type": "boolean",
"description": "Признак наличия КПП",
"example": true
}
},
"required": [
"innType",
"isInn",
"isKpp",
"name",
"receiver"
]
},
"ReceiverRequest": {
"type": "object",
"description": "Получатель груза",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"innType": {
"type": "string",
"description": "Тип ИНН. INDIVIDUAL (ФЛ) / IE (ИП) / COMPANY (ООО)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "IE"
},
"name": {
"type": "string",
"description": "Наименование продавца",
"example": "ООО Получатель"
},
"address": {
"type": "string",
"description": "Адрес продавца",
"example": "г. Москва, ул. Тестовая, д. 3"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"okpo": {
"type": "string",
"description": "ОКПО",
"example": "0120223589"
},
"phoneNumber": {
"type": "string",
"description": "Номер телефона",
"example": "+7 (900) 449-10-42"
},
"bankRequisites": {
"$ref": "#/components/schemas/BankRequisitesRequest",
"description": "Банковские реквизиты"
},
"isInn": {
"type": "boolean",
"description": "Признак наличия ИНН",
"example": true
},
"isKpp": {
"type": "boolean",
"description": "Признак наличия КПП",
"example": true
}
},
"required": [
"innType",
"isInn",
"isKpp",
"name"
]
},
"UPDRequest": {
"allOf": [
{
"$ref": "#/components/schemas/AbstractClosingDocumentRequest"
},
{
"type": "object",
"properties": {
"items": {
"type": "array",
"description": "Список товаров/работ/услуг",
"items": {
"$ref": "#/components/schemas/ItemRequest"
},
"maxItems": 2147483647,
"minItems": 1
},
"additionalInfo": {
"$ref": "#/components/schemas/UPDAdditionalInfoRequest",
"description": "Дополнительная информация"
},
"transferInfo": {
"$ref": "#/components/schemas/TransferInfoRequest",
"description": "Информация о передаче/приемке"
},
"buyer": {
"$ref": "#/components/schemas/Participant",
"description": "Покупатель"
},
"shipper": {
"$ref": "#/components/schemas/Participant",
"description": "Грузоотправитель. Если поле отсутствует, грузоотправителем считается продавец"
},
"receiver": {
"$ref": "#/components/schemas/Participant",
"description": "Грузополучатель. Если поле отсутствует, грузополучателем считается покупатель"
},
"bills": {
"type": "array",
"description": "Связанные счета",
"items": {
"type": "string",
"format": "uuid"
},
"uniqueItems": true,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
}
}
],
"description": "Модель УПД",
"required": [
"additionalInfo",
"buyer",
"items",
"transferInfo",
"type"
]
},
"UPDAdditionalInfoRequest": {
"type": "object",
"description": "Дополнительная информация УПД",
"properties": {
"documentNumber": {
"type": "string",
"description": "Номер документа",
"example": "UPD-1c6410d2"
},
"documentDate": {
"type": "string",
"format": "date",
"description": "Дата документа",
"example": "2026-09-25"
},
"operationType": {
"type": "string",
"description": "Тип операции",
"example": "Продажа"
},
"correctionNumber": {
"type": "string",
"description": "Номер исправления",
"example": "1"
},
"correctionDate": {
"type": "string",
"format": "date",
"description": "Дата исправления",
"example": "2026-09-26"
},
"paymentDocumentNumber": {
"type": "string",
"description": "Номер платежно-расчетного документа",
"example": "123"
},
"paymentDocumentDate": {
"type": "string",
"format": "date",
"description": "Дата платежно-расчетного документа",
"example": "2026-09-26"
}
},
"required": [
"documentDate",
"documentNumber"
]
},
"TransferInfoRequest": {
"type": "object",
"description": "Информация о передаче/приемке УПД",
"properties": {
"document": {
"$ref": "#/components/schemas/DocumentBaseRequest",
"description": "Документ-основание передачи"
},
"transportationInfo": {
"type": "string",
"description": "Данные о транспортировке и грузе",
"example": "Доставка транспортной компанией Деловые линии"
},
"shippingDocumentNumber": {
"type": "string",
"description": "Номер документа об отгрузке",
"example": "552"
},
"shippingDocumentDate": {
"type": "string",
"format": "date",
"description": "Дата документа об отгрузке",
"example": "2026-09-25"
},
"sellerTransferEmployee": {
"$ref": "#/components/schemas/SignatoryRequest",
"description": "Представитель продавца, передавший товар/услуги"
},
"transferDate": {
"type": "string",
"format": "date",
"description": "Дата отгрузки, передачи",
"example": "2026-09-25"
},
"sellerAdditionalInfo": {
"type": "string",
"description": "Иные сведения об отгрузке, передаче",
"example": "Отпуск разрешен"
},
"sellerResponsiblePerson": {
"$ref": "#/components/schemas/SignatoryRequest",
"description": "Ответственный продавца за правильность оформления"
},
"buyerReceiptEmployee": {
"$ref": "#/components/schemas/SignatoryRequest",
"description": "Представитель покупателя, принявший товар/услуги"
},
"receiptDate": {
"type": "string",
"format": "date",
"description": "Дата получения, приемки",
"example": "2026-09-26"
},
"buyerAdditionalInfo": {
"type": "string",
"description": "Иные сведения о получении, приемке",
"example": "Товар принят"
},
"buyerResponsiblePerson": {
"$ref": "#/components/schemas/SignatoryRequest",
"description": "Ответственный покупателя за правильность оформления"
},
"sellerEconomicSubject": {
"type": "string",
"description": "Наименование экономического субъекта - составителя документа продавца",
"example": "ООО Продавец"
},
"buyerEconomicSubject": {
"type": "string",
"description": "Наименование экономического субъекта - составителя документа покупателя",
"example": "ООО Покупатель"
}
},
"required": [
"document",
"transferDate"
]
},
"DocumentBaseRequest": {
"type": "object",
"description": "Документ-основание/связанный документ",
"properties": {
"name": {
"type": "string",
"description": "Наименование",
"example": "Договор"
},
"number": {
"type": "string",
"description": "Номер",
"example": "1"
},
"date": {
"type": "string",
"format": "date",
"description": "Дата",
"example": "2026-09-25"
}
},
"required": [
"date",
"name",
"number"
]
},
"SignatoryRequest": {
"type": "object",
"description": "Подписант/ответственный",
"properties": {
"position": {
"type": "string",
"description": "Должность",
"minLength": 1,
"example": "Директор"
},
"fio": {
"$ref": "#/components/schemas/Name",
"description": "ФИО"
}
},
"required": [
"fio",
"position"
]
},
"WorkActRequest": {
"allOf": [
{
"$ref": "#/components/schemas/AbstractClosingDocumentRequest"
},
{
"type": "object",
"properties": {
"services": {
"type": "array",
"description": "Список услуг",
"items": {
"$ref": "#/components/schemas/ItemRequest"
},
"maxItems": 2147483647,
"minItems": 1
},
"additionalInfo": {
"$ref": "#/components/schemas/AdditionalInfoRequest",
"description": "Дополнительная информация"
},
"executor": {
"$ref": "#/components/schemas/ExecutorRequest",
"description": "Исполнитель"
},
"customer": {
"$ref": "#/components/schemas/CustomerRequest",
"description": "Заказчик"
},
"bills": {
"type": "array",
"deprecated": true,
"description": "Связанные счета",
"items": {
"type": "string",
"format": "uuid"
},
"uniqueItems": true,
"example": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
}
}
],
"description": "Модель акта выполненных работ",
"required": [
"additionalInfo",
"customer",
"executor",
"services",
"type"
]
},
"ExecutorRequest": {
"type": "object",
"description": "Исполнитель",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"name": {
"type": "string",
"description": "Наименование",
"example": "ООО Исполнитель"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "123154, Москва г, ул. Тестовая, д. 2"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
}
},
"required": [
"inn",
"name"
]
},
"CustomerRequest": {
"type": "object",
"description": "Заказчик",
"properties": {
"inn": {
"type": "string",
"description": "ИНН",
"example": "394439302723"
},
"innType": {
"type": "string",
"description": "Тип ИНН заказчика. INDIVIDUAL (физик) / LEGAL (юрик)",
"enum": [
"INDIVIDUAL",
"IE",
"COMPANY"
],
"example": "COMPANY"
},
"name": {
"type": "string",
"description": "Наименование",
"example": "ООО Заказчик"
},
"kpp": {
"type": "string",
"description": "КПП",
"example": "637996731"
},
"address": {
"type": "string",
"description": "Адрес",
"example": "г. Москва, ул. Тестовая, д. 1"
}
},
"required": [
"innType",
"name"
]
},
"ClosingDocumentListResponse": {
"type": "object",
"description": "Ответ на запрос получения списка закрывающих документов",
"properties": {
"page": {
"type": "integer",
"format": "int32",
"description": "Порядковый номер страницы, 0-based",
"example": 0
},
"maxPageSize": {
"type": "integer",
"format": "int32",
"description": "Максимальное количество элементов на странице",
"example": 30
},
"totalPages": {
"type": "integer",
"format": "int32",
"description": "Всего страниц",
"example": 10
},
"totalElements": {
"type": "integer",
"format": "int64",
"description": "Всего документов",
"example": 40
},
"documents": {
"type": "array",
"description": "Список закрывающих документов",
"items": {
"$ref": "#/components/schemas/ClosingDocumentListItemResponse"
},
"example": [
{
"id": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e",
"cnum": "A12345",
"type": "WORK_ACT",
"number": "1",
"date": "2026-10-01",
"customerName": "АО ВЕТРООГК-2",
"customerInn": "9701098248",
"totalPrice": 82942,
"totalVatAmount": 0,
"numberOfPositions": 1,
"numberOfRemainingLinkedDocuments": 0,
"linkedDocuments": []
}
]
}
},
"required": [
"documents",
"maxPageSize",
"page",
"totalElements",
"totalPages"
]
},
"ClosingDocumentListItemResponse": {
"type": "object",
"description": "Список закрывающих документов",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Идентификатор документа",
"example": "60612e6c-d182-4b59-a868-69714a910ee3"
},
"cnum": {
"type": "string",
"description": "CNUM организации",
"example": "A12345"
},
"type": {
"type": "string",
"description": "Тип документа",
"enum": [
"BILL",
"WORK_ACT",
"CONSIGNMENT_NOTE",
"UPD",
"INVOICE_FACTURA"
],
"example": "WORK_ACT"
},
"number": {
"type": "string",
"description": "Номер документа",
"example": 1
},
"date": {
"type": "string",
"format": "date",
"description": "Дата документа",
"example": "2007-12-03"
},
"customerName": {
"type": "string",
"description": "Наименование контрагента",
"example": "ооо ромашка"
},
"customerInn": {
"type": "string",
"description": "ИНН контрагента",
"example": 6145133894
},
"totalPrice": {
"type": "number",
"description": "Сумма услуг",
"example": 123.11
},
"totalVatAmount": {
"type": "number",
"description": "Суммарный НДС",
"example": 123.11
},
"numberOfPositions": {
"type": "integer",
"format": "int32",
"description": "Количество позиций",
"example": 5
},
"numberOfRemainingLinkedDocuments": {
"type": "integer",
"format": "int64",
"description": "Количество связанных документов, которые не вернулись в ответе",
"example": 5
},
"linkedDocuments": {
"type": "array",
"description": "Список связанных документов, количество документов ограничено",
"items": {
"$ref": "#/components/schemas/CDListLinkedDocumentResponse"
}
}
},
"required": [
"cnum",
"customerName",
"date",
"id",
"linkedDocuments",
"numberOfPositions",
"numberOfRemainingLinkedDocuments",
"totalPrice",
"type"
]
}
},
"examples": {
"closingDocumentDetailConsignmentNote": {
"summary": "Закрывающий документ - товарная накладная",
"value": {
"cnum": "Z62321",
"document": {
"type": "CONSIGNMENT_NOTE",
"goods": {
"items": [
{
"name": "Монитор",
"count": 10,
"price": 50000,
"vat": {
"name": "VAT_10",
"abbreviation": "НДС 10%",
"value": "10"
},
"unit": {
"name": "PACKAGE",
"abbreviation": "Упаковка",
"value": "упак"
},
"sum": 500000,
"vatAmount": 45454.55
}
],
"totalPrice": 500000,
"totalVatAmount": 45454.55
},
"additionalInfo": {
"documentNumber": "2",
"documentDate": "2026-09-30",
"documentBase": {
"name": "Счет на оплату",
"number": "84860631",
"date": "2026-09-30"
},
"waybill": {
"number": "Транспорт-552",
"date": "2026-09-30"
},
"operationType": "Реализация"
},
"seller": {
"cnum": "Z62321",
"inn": "0816020925",
"name": "ООО Продавец",
"address": "123154, Москва г, ул. Тестовая, д. 2",
"kpp": "773401417",
"okpo": "0120223589",
"consignor": false
},
"buyer": {
"inn": "4108003484",
"innType": "COMPANY",
"name": "ООО Покупатель",
"address": "г. Москва, ул. Тестовая, д. 1",
"kpp": "410801001",
"okpo": "0120223589",
"receiver": false
}
},
"type": "CONSIGNMENT_NOTE",
"linkedDocuments": [],
"createdOn": "2026-09-30T10:19:26Z"
}
},
"closingDocumentDetailWorkAct": {
"summary": "Закрывающий документ - Акт выполненных работ",
"value": {
"cnum": "A12345",
"document": {
"type": "WORK_ACT",
"services": {
"items": [
{
"name": "Настройка ПО",
"count": 200,
"price": 113,
"vat": {
"name": "VAT_0",
"abbreviation": "НДС 0%",
"value": "0"
},
"unit": {
"name": "MINUTE",
"abbreviation": "Минуты",
"value": "мин"
},
"sum": 22600,
"vatAmount": 0
}
],
"totalPrice": 22600,
"totalVatAmount": 0
},
"additionalInfo": {
"documentNumber": "35503799",
"documentDate": "2026-09-30",
"upperComment": "Работы выполнены в полном объеме",
"lowerComment": "Претензий не имеем"
},
"executor": {
"inn": "0816020925",
"name": "ООО Исполнитель",
"address": "123154, Москва г, ул. Тестовая, д. 2",
"kpp": "773401417"
},
"customer": {
"inn": "401900899873",
"innType": "IE",
"name": "ИП Заказчик",
"address": "г. Москва, ул. Тестовая, д. 1"
}
},
"type": "WORK_ACT",
"linkedDocuments": [],
"createdOn": "2026-09-30T10:19:16Z"
}
},
"closingDocumentDetailUPD": {
"summary": "Закрывающий документ - УПД",
"value": {
"cnum": "A12345",
"document": {
"type": "UPD",
"status": "2",
"goods": {
"items": [
{
"name": "Товар",
"count": 2,
"price": 100,
"vat": {
"name": "VAT_20",
"abbreviation": "НДС 20%",
"value": "20"
},
"unit": {
"name": "PIECE",
"abbreviation": "Штуки",
"value": "шт"
},
"sum": 200,
"vatAmount": 40,
"productCode": "TEST-001"
},
{
"name": "Товар-2",
"count": 1,
"price": 1,
"vat": {
"name": "NO_VAT",
"abbreviation": "Без НДС",
"value": "0"
},
"unit": {
"name": "PIECE",
"abbreviation": "Штуки",
"value": "шт"
},
"sum": 1,
"vatAmount": 0
}
],
"totalPrice": 201,
"totalVatAmount": 40
},
"additionalInfo": {
"documentNumber": "UPD-1c6410d2",
"documentDate": "2026-09-25",
"operationType": "Продажа"
},
"transferInfo": {
"document": {
"name": "Договор",
"number": "1",
"date": "2026-09-25"
},
"transferDate": "2026-09-25",
"sellerTransferEmployee": {
"position": "Директор",
"fullName": "Иванов Иван Иванович"
}
},
"seller": {
"cnum": "A12345",
"name": "ООО Продавец",
"inn": "0816020925",
"address": "123154, Москва г, ул. Тестовая, д. 2",
"kpp": "773401417"
},
"buyer": {
"type": "COMPANY",
"name": "ООО Покупатель",
"inn": "4108003484",
"address": "г. Москва, ул. Тестовая, д. 1",
"kpp": "410801001"
}
},
"type": "UPD",
"linkedDocuments": [],
"createdOn": "2026-09-25T13:32:39Z"
}
},
"closingDocumentListResponse": {
"summary": "Ответ со списком закрывающих документов",
"value": {
"page": 0,
"maxPageSize": 30,
"totalPages": 1,
"totalElements": 3,
"documents": [
{
"id": "c735502b-fb38-4f60-8f06-ba3cb72a7b0e",
"cnum": "A12345",
"type": "WORK_ACT",
"date": "2026-10-01",
"customerName": "АО ВЕТРООГК-2",
"customerInn": "9701098248",
"totalPrice": 82942,
"totalVatAmount": 0,
"numberOfPositions": 1,
"numberOfRemainingLinkedDocuments": 0,
"linkedDocuments": []
},
{
"id": "caaedffc-d875-4de2-9a73-ba51da23a8dc",
"cnum": "A12345",
"type": "CONSIGNMENT_NOTE",
"number": "86110305Aubergine",
"date": "2026-09-29",
"customerName": "Conroy, Lebsack and Bruen",
"customerInn": "4108003484",
"totalPrice": 22600,
"totalVatAmount": 0,
"numberOfPositions": 1,
"numberOfRemainingLinkedDocuments": 0,
"linkedDocuments": []
},
{
"id": "ac80e3ab-dda1-41d5-91eb-755fdb5621fd",
"cnum": "A12345",
"type": "UPD",
"number": "UPD-a8fce6a5",
"date": "2026-09-25",
"customerName": "ООО Покупатель УПД",
"customerInn": "4108003484",
"totalPrice": 200,
"totalVatAmount": 40,
"numberOfPositions": 1,
"numberOfRemainingLinkedDocuments": 0,
"linkedDocuments": []
}
]
}
},
"closingDocumentCreateResponse": {
"summary": "Ответ на создание закрывающего документа",
"value": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "UPD"
}
},
"closingDocumentDeleteRequest": {
"summary": "Запрос на удаление закрывающих документов",
"value": {
"documentIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
},
"consignmentNoteRequest": {
"summary": "Товарная накладная - запрос",
"value": {
"type": "CONSIGNMENT_NOTE",
"goods": {
"items": [
{
"name": "Монитор",
"count": 10,
"price": 50000,
"unit": "PACKAGE",
"vat": "VAT_10"
}
]
},
"additionalInfo": {
"documentNumber": "2",
"documentDate": "2026-09-30",
"documentBase": {
"name": "Счет на оплату",
"number": "84860631",
"date": "2026-09-30"
},
"waybill": {
"number": "Транспорт-552",
"date": "2026-09-30"
},
"operationType": "Реализация"
},
"seller": {
"inn": "0816020925",
"name": "ООО Продавец",
"address": "123154, Москва г, ул. Тестовая, д. 2",
"kpp": "773401417",
"okpo": "0120223589",
"consignor": true
},
"buyer": {
"inn": "4108003484",
"innType": "COMPANY",
"name": "ООО Покупатель",
"address": "г. Москва, ул. Тестовая, д. 1",
"kpp": "410801001",
"okpo": "0120223589",
"receiver": true
}
}
},
"workActRequest": {
"summary": "Акт выполненных работ - запрос",
"value": {
"type": "WORK_ACT",
"services": [
{
"name": "Настройка ПО",
"count": 8,
"price": 2500,
"unit": "HOUR",
"vat": "NO_VAT"
}
],
"additionalInfo": {
"documentNumber": "35503799",
"documentDate": "2026-09-30",
"upperComment": "Работы выполнены в полном объеме",
"lowerComment": "Претензий не имеем"
},
"executor": {
"inn": "0816020925",
"name": "ООО Исполнитель",
"address": "123154, Москва г, ул. Тестовая, д. 2",
"kpp": "773401417"
},
"customer": {
"inn": "401900899873",
"innType": "IE",
"name": "ИП Заказчик",
"address": "г. Москва, ул. Тестовая, д. 1"
}
}
},
"updRequest": {
"summary": "УПД - запрос",
"value": {
"type": "UPD",
"items": [
{
"name": "Товар",
"count": 2,
"price": 100,
"unit": "PIECE",
"vat": "VAT_20",
"productCode": "TEST-001"
}
],
"additionalInfo": {
"documentNumber": "UPD-1c6410d2",
"documentDate": "2026-09-25",
"operationType": "Продажа"
},
"transferInfo": {
"document": {
"name": "Договор",
"number": "1",
"date": "2026-09-25"
},
"transferDate": "2026-09-25",
"sellerTransferEmployee": {
"position": "Директор",
"fio": {
"lastName": "Иванов",
"firstName": "Иван",
"middleName": "Иванович"
}
}
},
"buyer": {
"type": "COMPANY",
"name": "ООО Покупатель",
"inn": "4108003484",
"address": "г. Москва, ул. Тестовая, д. 1",
"kpp": "410801001"
}
}
},
"billResponse": {
"summary": "Ответ на создание счета на оплату",
"value": {
"documentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
},
"billDetailsResponse": {
"summary": "Детальная информация о счете на оплату",
"value": {
"id": "60612e6c-d182-4b59-a868-69714a910ee3",
"status": "PAYMENT_PENDING",
"docNumber": "1",
"cnum": "UVGASK",
"goods": {
"totalPrice": 6002.5,
"totalVatAmount": 1000.42,
"items": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"vat": {
"name": "VAT_20",
"abbreviation": "НДС 20%",
"value": "20"
},
"unit": {
"name": "HOUR",
"abbreviation": "Часы",
"value": "ч"
},
"sum": 6002.5,
"vatAmount": 1000.42
}
]
},
"invoice": {
"num": "INV-2024-001",
"date": "2026-09-30",
"cause": "Оплата по договору №123456",
"comment": "Платёж по договору №123456"
},
"payer": {
"type": "LEGAL",
"name": "ООО Покупатель",
"inn": "394439302723",
"kpp": "637996731",
"address": "г. Москва, ул. Тестовая, д. 1"
},
"payee": {
"inn": "394439302723",
"kpp": "637996731",
"cnum": "UVGASK",
"name": "ООО Продавец",
"juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
"lawType": "ООО",
"account": {
"name": "АО «Банк»",
"num": "51421810026450470886",
"branchName": "Московский филиал АО «Банк»",
"corrAcc": "30101810400000000598",
"bic": "081395980"
}
},
"linkedDocuments": [],
"payments": [],
"statusIsUpdating": false,
"createdOn": "2026-09-30T10:19:26",
"receipts": []
}
},
"billRequest": {
"summary": "Запрос на создание счета на оплату",
"value": {
"goods": {
"items": [
{
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"unit": "HOUR",
"vat": "VAT_20"
}
]
},
"invoice": {
"num": "INV-2024-001",
"date": "2026-09-30",
"cause": "Оплата по договору №123456",
"comment": "Платёж по договору №123456"
},
"payer": {
"type": "LEGAL",
"name": "ООО Покупатель",
"inn": "394439302723",
"kpp": "637996731",
"address": "г. Москва, ул. Тестовая, д. 1"
},
"payee": {
"inn": "394439302723",
"kpp": "637996731",
"name": "ООО Продавец",
"lawType": "ООО",
"juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
"account": {
"name": "АО «Банк»",
"num": "51421810026450470886",
"bic": "081395980",
"branchName": "Московский филиал АО «Банк»",
"corrAcc": "30101810400000000598"
}
},
"closingDocuments": [],
"receipts": []
}
},
"billUpdateRequest": {
"summary": "Запрос на обновление счета на оплату",
"value": {
"goods": {
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"unit": "HOUR",
"vat": "VAT_20"
}
]
},
"invoice": {
"num": "INV-2024-001",
"date": "2026-09-30",
"cause": "Оплата по договору №123456",
"comment": "Платёж по договору №123456"
},
"payer": {
"type": "LEGAL",
"name": "ООО Покупатель",
"inn": "394439302723",
"kpp": "637996731",
"address": "г. Москва, ул. Тестовая, д. 1"
},
"payee": {
"inn": "394439302723",
"kpp": "637996731",
"name": "ООО Продавец",
"lawType": "ООО",
"juridicalAddress": "123154, Москва г, ул. Тестовая, д. 2",
"account": {
"name": "АО «Банк»",
"num": "51421810026450470886",
"bic": "081395980",
"branchName": "Московский филиал АО «Банк»",
"corrAcc": "30101810400000000598"
}
},
"closingDocuments": []
}
},
"billStatusUpdateRequest": {
"summary": "Запрос на обновление статуса счетов",
"value": {
"billIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"status": "PAID"
}
},
"billListResponse": {
"summary": "Список счетов на оплату",
"value": {
"totalElements": 1,
"totalPages": 1,
"first": true,
"last": true,
"statusIsUpdating": false,
"numberOfElements": 1,
"pageable": {
"paged": true,
"pageNumber": 0,
"pageSize": 30,
"unpaged": false,
"offset": 0,
"sort": {
"sorted": true,
"unsorted": false,
"empty": false
}
},
"size": 30,
"content": [
{
"id": "60612e6c-d182-4b59-a868-69714a910ee3",
"cnum": "UVGASK",
"status": "PAYMENT_PENDING",
"createdDate": 1790763566,
"invoiceDate": 1790726400,
"docNumber": "1",
"payer": {
"name": "ООО Покупатель",
"type": "LEGAL",
"inn": "394439302723",
"kpp": "637996731",
"address": "г. Москва, ул. Тестовая, д. 1"
},
"payee": {
"name": "ООО Продавец",
"inn": "394439302723",
"kpp": "637996731",
"address": "123154, Москва г, ул. Тестовая, д. 2"
},
"amount": 6002.5,
"items": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Услуги по настройке ПО",
"count": 5,
"price": 1200.5,
"vat": {
"name": "VAT_20",
"abbreviation": "НДС 20%",
"value": "20"
},
"unit": {
"name": "HOUR",
"abbreviation": "Часы",
"value": "ч"
},
"sum": 6002.5,
"vatAmount": 1000.42
}
],
"linkedDocuments": [],
"numberOfRemainingLinkedDocuments": 0,
"receipts": []
}
],
"number": 0,
"sort": {
"sorted": true,
"unsorted": false,
"empty": false
},
"empty": false
}
},
"measurementResponse": {
"summary": "Список единиц измерения и ставок НДС",
"value": {
"vat": [
{
"name": "VAT_0",
"abbreviation": "НДС 0%",
"value": "0"
},
{
"name": "VAT_20",
"abbreviation": "НДС 20%",
"value": "20"
}
],
"units": [
{
"name": "PIECE",
"abbreviation": "Штуки",
"value": "шт"
},
{
"name": "HOUR",
"abbreviation": "Часы",
"value": "ч"
}
]
}
}
},
"responses": {
"Unauthorized": {
"description": "Аутентификация не пройдена"
},
"InternalError": {
"description": "Внутренняя ошибка"
}
},
"parameters": {
"IdTokenHeader": {
"name": "Id-Token",
"in": "header",
"description": "Идентификационный токен пользователя",
"required": true,
"schema": {
"type": "string",
"format": "byte",
"example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc="
}
},
"AuthorizationHeader": {
"name": "Authorization",
"in": "header",
"description": "Токен доступа",
"required": true,
"schema": {
"type": "string",
"format": "byte",
"example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc="
}
}
}
}